Skip to content
Start here

Publish Zaraz preview configuration

client.zaraz.publish.create(PublishCreateParams { zone_id, body } params, RequestOptionsoptions?): PublishCreateResponse
POST/zones/{zone_id}/settings/zaraz/publish

Publish current Zaraz preview configuration for a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zaraz Admin
ParametersExpand Collapse
params: PublishCreateParams { zone_id, body }
zone_id: string

Path param: Identifier.

maxLength32
body?: string

Body param: Zaraz configuration description.

ReturnsExpand Collapse
PublishCreateResponse = string

Publish Zaraz preview configuration

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const publish = await client.zaraz.publish.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(publish);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": "Config has been published successfully",
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": "Config has been published successfully",
  "success": true
}